Retrieve an agent fact
GET
/v1/agentfact/{id}/
const url = 'https://example.com/v1/agentfact/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/agentfact/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single agent fact by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this agent fact.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
agent
required
string format: uuid
id
required
string format: uuid
key
required
string
display_name
required
string
value
required
string
category
required
integer
category_text
required
string
Examplegenerated
{ "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "key": "example", "value": "example"}